# tmr_types.h File Reference

Mercury API - General data type definitions. More...

`#include <stdint.h>`
`#include <stdbool.h>`

## Classes

struct | TMR_String
struct | TMR_uint8List
struct | TMR_uint16List
struct | TMR_uint32List
struct | TMR_int8List

## Typedefs

typedef struct TMR_String | TMR_String
typedef struct TMR_uint8List | TMR_uint8List
typedef struct TMR_uint16List | TMR_uint16List
typedef struct TMR_uint32List | TMR_uint32List
typedef struct TMR_int8List | TMR_int8List
typedef bool(* | TMR_FirmwareDataProvider )(void *cookie, uint16_t *size, uint8_t *data)

## Detailed Description

Mercury API - General data type definitions.

Author:
  Nathan Williams

Date:
  10/20/2009

## Typedef Documentation

typedef bool(* TMR_FirmwareDataProvider)(void *cookie, uint16_t *size, uint8_t *data)

Function callback used to obtain firmware data during a firmware load operation. TMR_firmwareLoad will call this repeatedly to obtain data to send to the reader. A buffer of a specified size will be passed in; the callback is free to place less than that amount of data in the buffer, provided that size is modified accordingly. When the end of the firmware image has been reached, the callback should return false.

See also:
  TMR_memoryProvider and TMR_fileProvider for pre-existing callbacks to load firmware from system memory or from a file.

Parameters:

  | cookie | Arbitrary data passed to the callback.
  `[in]` | size | Pointer to amount of space in the buffer.
  `[out]` | Points | to number of bytes stored in the buffer.
  `[out]` | data | Buffer of bytes of firmware image.

Returns:
  true if there is more data to load

typedef struct TMR_int8List TMR_int8List

List of int8_t values

typedef struct TMR_String TMR_String

Internal string representation with known storage size

typedef struct TMR_uint16List TMR_uint16List

List of uint16_t values

typedef struct TMR_uint32List TMR_uint32List

List of uint32_t values

typedef struct TMR_uint8List TMR_uint8List

List of uint8_t values